Package org.apache.maven.scm.provider.clearcase.command.tag

## Class ClearCaseTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.clearcase.command.tag.ClearCaseTagCommand

All Implemented Interfaces:
  `Command`, `ClearCaseCommand`

    public class ClearCaseTagCommand
    extends AbstractTagCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`ClearCaseTagCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(ScmFileSet scmFileSet, java.lang.String tag)`
`protected ScmResult` `executeTagCommand​(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, java.lang.String tag, java.lang.String message)`
`protected ScmResult` `executeTagCommand​(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, java.lang.String tag, ScmTagParameters scmTagParameters)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseTagCommand

    public ClearCaseTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository scmProviderRepository,
                                          ScmFileSet fileSet,
                                          java.lang.String tag,
                                          java.lang.String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository scmProviderRepository,
                                          ScmFileSet fileSet,
                                          java.lang.String tag,
                                          ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(ScmFileSet scmFileSet,
                                                                             java.lang.String tag)